Package com.orchestranetworks.ui.view

# Interface UITabularView

All Superinterfaces:
  `UIView`

public interface UITabularView extends UIView
Provides information on tabular view.

Since:
  6.1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Path>`
  `getFieldsPaths()`
  Returns a list with the field path
  `List<Path>`
  `getFixedColumnsPaths()`
  Returns a list with the fixed columns.
  `Integer`
  `getPaginationLimit()`
  Returns the number of visible records.
  `RequestSortCriteria`
  `getRequestSortCriteria()`
  Returns the request applied on the view.
  `String`
  `getToolbarTableRow()`
  Returns the toolbar on table row of the view
  `String`
  `getToolbarTableTop()`
  Returns the toolbar on top of table
  `List<SchemaNode>`
  `getViewedSchemaNodes(SchemaNode tableNode)`
  Returns a list with the view's schema nodes .
  `boolean`
  `isAllowGridEditing()`
  Returns `true` if the user of the view is enable to edit the grid.
  `boolean`
  `isDisableCreateAndDuplicateInGridEditing()`
  Returns `false` if the user of this view can create or duplicate records from the grid edit.
  `boolean`
  `isDisplayableField(SchemaNode aNode)`
  Returns `true` if the field is displayable

  ### Methods inherited from interface com.orchestranetworks.ui.view.UIView

  `getLabel, getOwnerProfile, getPublicationName, getViewKey, isHierarchical, isTabular, isTile`

- ## Method Details

  - ### isDisplayableField

    boolean isDisplayableField(SchemaNode aNode)
    Returns `true` if the field is displayable
    Parameters:
      `aNode` - the name of the field

  - ### getFieldsPaths

    List<Path> getFieldsPaths()
    Returns a list with the field path

  - ### getToolbarTableTop

    String getToolbarTableTop()
    Returns the toolbar on top of table

  - ### getToolbarTableRow

    String getToolbarTableRow()
    Returns the toolbar on table row of the view

  - ### getFixedColumnsPaths

    List<Path> getFixedColumnsPaths()
    Returns a list with the fixed columns.

  - ### getViewedSchemaNodes

    List<SchemaNode> getViewedSchemaNodes(SchemaNode tableNode)
    Returns a list with the view's schema nodes .

  - ### getRequestSortCriteria

    RequestSortCriteria getRequestSortCriteria()
    Returns the request applied on the view.

  - ### getPaginationLimit

    Integer getPaginationLimit()
    Returns the number of visible records.

  - ### isDisableCreateAndDuplicateInGridEditing

    boolean isDisableCreateAndDuplicateInGridEditing()
    Returns `false` if the user of this view can create or duplicate records from the grid edit.

  - ### isAllowGridEditing

    boolean isAllowGridEditing()
    Returns `true` if the user of the view is enable to edit the grid.